#!/bin/bash
# This script is intended to be run from the AM65xx itself.
# The output is an rd1 file that can be imported into Clock Tree Tool.
today=`date '+%Y-%m-%d_%H%M%S'`;
OUTPUT_FILE=am65xx-ctt_$today.rd1

echo "DeviceName AM65x_SR1.0" > $OUTPUT_FILE

# Append to file
while IFS='' read -r line || [[ -n "$line" ]]; do
    devmem2 $line | sed '1d2ds/.*\s\(0x[0-9a-fA-F]*\)\s.*: \(0x[0-9a-fA-F]*\)*/\1 \2/' >> $OUTPUT_FILE
done << EOM
0x00104404
0x00108000
0x00108020
0x00108024
0x00108030
0x0010803c
0x00108040
0x00108060
0x00108064
0x00108068
0x001080b0
0x001080c0
0x001080d0
0x001080e0
0x001080e4
0x00108100
0x00108104
0x00108108
0x0010810c
0x00108110
0x00108114
0x00108118
0x0010811c
0x00108120
0x00108124
0x00108128
0x0010812c
0x001081c0
0x00410118
0x00680020
0x00680024
0x00680028
0x00680030
0x00680120
0x00680124
0x00681020
0x00681024
0x00681028
0x00681030
0x00682020
0x00682024
0x00682028
0x00682030
0x00682120
0x00682124
0x00683020
0x00683024
0x00683028
0x00683030
0x00684020
0x00684024
0x00684028
0x00684030
0x00686020
0x00686024
0x00686028
0x00686030
0x00687020
0x00687024
0x00687028
0x00687030
0x02940008
0x02988068
0x04a0a160
0x40d00020
0x40d00024
0x40d00028
0x40d00030
0x40d00120
0x40d00124
0x40d01020
0x40d01024
0x40d01028
0x40d01030
0x40d01120
0x40d01124
0x40f08010
0x40f08018
0x40f08020
0x40f08024
0x40f08030
0x40f08034
0x40f08040
0x40f08050
0x40f08080
0x40f08084
0x40f08100
0x40f08104
0x40f08108
0x40f0810c
0x40f08180
0x40f08184
0x40f081c0
0x42010100
0x42010118
0x43000030
0x43008000
0x43008050
0x43008060
0x43008064
0x43008070
0x43008080
0x43008084
0x43008088
0x4300808c
0x43008090
0x43008098
0x4300809c
0x430080c0
0x4603d008
EOM
